# Special Collection

## Filter by special collection (integer).

<mark style="color:blue;">`GET`</mark> `https://clearinghouse.net/api/v2p1/cases?special_collection=special_collection_id`

#### Query Parameters

| Name                                                  | Type    | Description                                                                     |
| ----------------------------------------------------- | ------- | ------------------------------------------------------------------------------- |
| special\_collection<mark style="color:red;">\*</mark> | integer | special\_collection (see list below for list of integers and its mapped values) |

#### Headers

| Name                                            | Type   | Description                                                                                                                    |
| ----------------------------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------ |
| Authorization<mark style="color:red;">\*</mark> | String | <p>Authorization</p><p><code>Token XXXXXXXXXXX</code></p><p>where</p><p><code>XXXXXXXXXXX</code></p><p>is the token string</p> |

{% tabs %}
{% tab title="200 Cases successfully retrieved" %}

{% endtab %}

{% tab title="400: Bad Request No results, key not found, or invalid parameter" %}

```
\\ Examples of:
\\ No results, key not found, or invalid parameter

\\ No results
\\ Example query endpoint: /api/v2p1/cases/?case_id=1&case_ongoing=1
["No results for {'case_id': '1', 'case_ongoing': '1'}"]

\\ Key not found
\\ Example query endpoint: /api/v2p1/cases?test_key=1
["API Error: Key: test_key, Value: 1 not found."]

\\ Example query endpoint: /api/v2p1/cases/?case_id=xyz
["API Error: xyz is not an integer."]
```

{% endtab %}

{% tab title="401 Permission denied" %}

```javascript
{
    "detail":"Authentication credentials were not provided."
}
```

{% endtab %}
{% endtabs %}

Supported special collections (special\_collection\_id):

| **5698**  | Private Employment Class Actions                                             |
| --------- | ---------------------------------------------------------------------------- |
| **5690**  | Challenges to minority benefits in Biden Administration American Rescue Plan |
| **5654**  | California Jail Population Caps                                              |
| **5652**  | EEOC Study — in sample                                                       |
| **5664**  | Post-PLRA enforceable consent decrees                                        |
| **5675**  | Trump Travel Ban Challenges                                                  |
| **5672**  | Solitary confinement                                                         |
| **5669**  | Civil Rights Division Archival Collection                                    |
| **11079** | Deaf or Blind in Jail/Prison                                                 |
| **5682**  | Selma and Early Civil Rights Enforcement                                     |
| **11087** | Attica Uprising Litigation                                                   |
| **5680**  | Trump Administration FOIA cases                                              |
| **5700**  | Post-WalMart decisions on class certification                                |
| **5671**  | DOJ Civil Rights Division Statements of Interest                             |
| **5686**  | COVID-19 (novel coronavirus)                                                 |
| **5670**  | California's Prisoners' Rights Bar article                                   |
| **5673**  | Stop-and-Frisk (NY)                                                          |
| **5657**  | Court-ordered receiverships                                                  |
| **5681**  | Criminal cases challenging FISA surveillance                                 |
| **5653**  | Contraception Insurance Mandate                                              |
| **5696**  | IWPR/Wage Project Consent Decree Study                                       |
| **5658**  | Occupy                                                                       |
| **5701**  | Martin Sostre cases                                                          |
| **5668**  | Fines/Fees/Bail Reform (Criminalization of Poverty)                          |
| **5685**  | Flint Water Cases                                                            |
| **5659**  | Foreign Intelligence Surveillance Act -- All Matters                         |
| **5663**  | Foreign Intelligence Surveillance Act—Foreign Targeting (702, 703, 704)      |
| **5661**  | Foreign Intelligence Surveillance Act—Internet Metadata                      |
| **5660**  | Foreign Intelligence Surveillance Act -- Telephony Metadata                  |
| **5662**  | Foreign Intelligence Surveillance Court                                      |
| **5689**  | Healthy Elections COVID litigation tracker                                   |
| **33558** | Hepatitis C Treatment in Jails and Prisons                                   |
| **5684**  | Immigrant Detention Labor Issues                                             |
| **11093** | Law Firm Antiracism Alliance (LFAA) project                                  |
| **5688**  | Litigation Against Federal Police (2020)                                     |
| **5679**  | Mass import from DOJ Spreadsheets                                            |
| **5699**  | Olmstead Cases                                                               |
| **5677**  | Planned Parenthood Litigation                                                |
| **5687**  | Police Violence Protests                                                     |
| **5665**  | Post-PLRA Jail and Prison Private Settlement Agreements                      |
| **5655**  | Prison Legal News                                                            |
| **5702**  | Same-Sex Marriage                                                            |
| **38197** | Multi-LexSum (in sample)                                                     |
| **5697**  | Strip Search Cases                                                           |
| **5666**  | Non-Litigation Policies                                                      |
| **5674**  | Transgender Bathroom Access Cases                                            |
| **5676**  | Trump Immigration Enforcement Order Challenges                               |
| **5667**  | Signal International Guest Worker Cases                                      |
| **5683**  | Title IX, Sexual Violence Investigations/Resolutions                         |
| **38189** | Featured Historical Cases                                                    |

For more information about special collections, see [Case Details](/api-reference-v2p1/objects/case/case-details.md#special_collections).

## **Example** <a href="#example" id="example"></a>

{% tabs %}
{% tab title="URL" %}

```
https://clearinghouse.net/api/v2p1/cases?special_collection=5683
```

{% endtab %}

{% tab title="python" %}

```
import requests

url = "https://clearinghouse.net/api/v2p1/cases?special_collection=5683"
headers = { 'Authorization': 'Token XXXXXXXXXX',
'User-Agent': 'Chrome v22.2 Linux Ubuntu'
}
response = requests.request("GET", url, headers=headers, data={})

print(response.text)
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.clearinghouse.net/api-reference-v2p1/endpoints/special-collection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
